package com.oozinoz.simulation;

/*
 * Copyright (c) 2001, 2005. Steven J. Metsker.
 * 
 * Steve Metsker makes no representations or warranties about
 * the fitness of this software for any particular purpose, 
 * including the implied warranty of merchantability.
 *
 * Please use this software as you wish with the sole
 * restriction that you may not claim that you wrote it.
 */

/**
*  Define the interface that our simulation framework uses to
*  model the performance of rockets.
*/
public interface RocketSim {
    /**
    *  @return the mass (in kilograms) of the simulated rocket at
    *  the specified time.
    */
    abstract double getMass();

    /**
    *  @return the thrust force (in newtons per second) generated by the
    *  simulated rocket.
    */
    public double getThrust();

    /**
    * Update the current time based on the simulation clock's.
    * @param t the simulation clock's current time
    */
    void setSimTime(double t);
}